= form_for [:admin, @group], html: { class: "form-horizontal" } do |f|
  = form_errors(@group)
  = render 'shared/group_form', f: f

  = render 'groups/repository_size_limit_setting', f: f

  .form-group.group-description-holder
    = f.label :avatar, "Group avatar", class: 'control-label'
    .col-sm-10
      = render 'shared/choose_group_avatar_button', f: f

  = render 'shared/visibility_level', f: f, visibility_level: @group.visibility_level, can_change_visibility_level: can_change_group_visibility_level?(@group), form_model: @group

  .form-group
    .col-sm-offset-2.col-sm-10
      = render 'shared/allow_request_access', form: f

  = render 'groups/group_lfs_settings', f: f

  - if @group.new_record?
    .form-group
      .col-sm-offset-2.col-sm-10
        .alert.alert-info
          = render 'shared/group_tips'
    .form-actions
      = f.submit 'Create group', class: "btn btn-create"
      = link_to  'Cancel', admin_groups_path, class: "btn btn-cancel"

  - else
    .form-actions
      = f.submit 'Save changes', class: "btn btn-save"
      = link_to  'Cancel', admin_group_path(@group), class: "btn btn-cancel"

- if ldap_enabled? && @group.persisted?
  %h3.page-title Linked LDAP groups
  = render 'ldap_group_links/form', group: @group
  = render 'ldap_group_links/ldap_group_links', group: @group
